ghFit {fBasics} | R Documentation

## GH Distribution Fit

### Description

Estimates the distrinbutional parameters for a generalized hyperbolic distribution.

### Usage

    ghFit(x, alpha = 1, beta = 0, delta = 1, mu = 0, lambda = -1/2,
        scale = TRUE, doplot = TRUE, span = "auto", trace = TRUE,
        title = NULL, description = NULL, ...)

### Arguments

`x` | a numeric vector.
`alpha, beta, delta, mu, lambda` | The parameters are `alpha`, `beta`, `delta`, `mu`, and and `lambda`: shape parameter `alpha`; skewness parameter `beta`, `abs(beta)` is in the range (0, alpha); scale parameter `delta`, `delta` must be zero or positive; location parameter `mu`, by default 0; and lambda parameter `lambda`, by default -1/2.
`scale` | a logical flag, by default `TRUE`. Should the time series be scaled by its standard deviation to achieve a more stable optimization?
`doplot` | a logical flag. Should a plot be displayed?
`span` | x-coordinates for the plot, by default 100 values automatically selected and ranging between the 0.001, and 0.999 quantiles. Alternatively, you can specify the range by an expression like `span=seq(min, max, times = n)`, where, `min` and `max` are the left and right endpoints of the range, and `n` gives the number of the intermediate points.
`trace` | a logical flag. Should the parameter estimation process be traced?
`title` | a character string which allows for a project title.
`description` | a character string which allows for a brief description.
`...` | parameters to be parsed.

### Details

The function `nlm` is used to minimize the "negative" maximum log-likelihood function. `nlm` carries out a minimization using a Newton-type algorithm.

### Value

returns a list with the following components:

`estimate` | the point at which the maximum value of the log liklihood function is obtained.
`minimum` | the value of the estimated maximum, i.e. the value of the log liklihood function.

`code`

an integer indicating why the optimization process terminated.
1: relative gradient is close to zero, current iterate is probably solution;
2: successive iterates within tolerance, current iterate is probably solution;
3: last global step failed to locate a point lower than `estimate`. Either `estimate` is an approximate local minimum of the function or `steptol` is too small;
4: iteration limit exceeded;
5: maximum step size `stepmax` exceeded five consecutive times. Either the function is unbounded below, becomes asymptotic to a finite value from above in some direction or `stepmax` is too small.

`gradient` | the gradient at the estimated maximum.
`steps` | number of function calls.

### Examples

    ## ghFit -
       # Simulate Random Variates:
       set.seed(1953)
       s = rgh(n = 1000, alpha = 1.5, beta = 0.3, delta = 0.5, mu = -1.0)

    ## ghFit -
       # Fit Parameters:
       ghFit(s, alpha = 1, beta = 0, delta = 1, mu = mean(s), doplot = TRUE)

[Package fBasics version 3042.89 Index]